Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Interface OCMrootPeer

All Superinterfaces:
  OCMpeer

All Known Implementing Classes:
  OCMrootPeerSupportLite, OCMrootPeerSupport

public interface OCMrootPeer
extends OCMpeer

Must be implemented by the root peer object.

Method Summary
`QDoc` | `convert()` Convert one QDoc into another.
`QDoc` | `convert(String url)` Convert one QDoc into another.
`String` | `express(boolean expressDefaults)` Generate an XML document (or other text).
`void` | `express(PrintWriter pw, boolean expressDefaults)` Generate an XML document (or other text).

Methods inherited from interface com.jxml.quick.ocm.OCMpeer
`cvt, init`

Method Detail

### convert

    public QDoc convert()
                 throws SAXException,
                        IOException

  Convert one QDoc into another.
  Returns:
    The new document.

### convert

    public QDoc convert(String url)
                 throws SAXException,
                        IOException

  Convert one QDoc into another.
  Parameters:
    `url` - The name of the output document.
  Returns:
    The new (unique) document.

### express

    public String express(boolean expressDefaults)
                   throws SAXException,
                          IOException

  Generate an XML document (or other text).
  Parameters:
    `doc` - The QDoc object holding the object tree to be expressed in XML.
    `expressDefaults` - Turns on the expression of default values.
  Returns:
    The XML representation

### express

    public void express(PrintWriter pw,
                        boolean expressDefaults)
                 throws SAXException,
                        IOException

  Generate an XML document (or other text).
  Parameters:
    `doc` - The QDoc object holding the object tree to be expressed in XML.
    `PW` - PrintWriter where the XML document is to be written.
    `expressDefaults` - Turns on the expression of default values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD